Skip to main content
Back to API List Initiates ML training for a bot.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/ml/train
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Train ML; Admin Console: Test and Train > Train ML

Query Parameters

ParameterRequired/OptionalDescription
hostRequiredThe environment URL. For example, https://platform.kore.ai
BotIDRequiredBot ID or Stream ID. Accessible under General Settings on the App Builder.

Sample Request

curl -X POST 'https://{{host}}/api/public/bot/{{BotId}}/ml/train' \
  --header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  --header 'bot-language: de'
If the bot language is not included in the header, English is used as the default language for training. See the list of supported bot languages here.

Body Parameters

No body parameters are passed.

Sample Response

[
    {
        "message": "Training Queued.",
        "Training_ID": "5dxxxxxxxxxxxxxxxxxxxxxx"
    }
]